INTERFACE
SUBROUTINE TEMPINMF(KTEMP,&
 & KOBTYP,KCDTYP,KOBSQNO,KCDSQNO,&
 & LDMESAGE,LDTAKEN) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KTEMP
INTEGER(KIND=JPIM),INTENT(IN) :: KOBTYP
INTEGER(KIND=JPIM),INTENT(IN) :: KCDTYP
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSQNO
INTEGER(KIND=JPIM),INTENT(IN) :: KCDSQNO
LOGICAL ,INTENT(INOUT) :: LDMESAGE
LOGICAL ,INTENT(OUT) :: LDTAKEN
END SUBROUTINE TEMPINMF
END INTERFACE
